Subject: Re: linux-next: manual merge of the kbuild tree with the origin tree

From: Nathan Chancellor <[email-masked]>
Date: Mon, 18 May 2026 12:28:08 -0700

On Mon, May 18, 2026 at 12:13:37PM -0700, Nathan Chancellor wrote:
> Hi Mark,
> 
> On Mon, May 18, 2026 at 05:11:02PM +0100, Mark Brown wrote:
> > Today's linux-next merge of the kbuild tree got a conflict in:
> > 
> >   scripts/Makefile.modfinal
> > 
> > between commit:
> > 
> >   dc1f85a9637cc ("kallsyms: extend lineinfo to loadable modules")
> > 
> > from the origin tree and commit:
> > 
> >   7abef41afad05 ("kbuild/btf: Remove broken module relinking exclusion")
> > 
> > from the kbuild tree.
> 
> Thanks for the heads up! The resolution looks correct to me but
> dc1f85a9637cc does not appear to be in Linus's tree? I would have
> expected the Kbuild tree to have it if so since it is based on 7.1-rc1.
> 
>   $ git describe --contains dc1f85a9637ccd3d171fb5262fd38919dfe632bb
>   Could not get object for dc1f85a9637ccd3d171fb5262fd38919dfe632bb. Skipping.
> 
> It looks like it is in one of Andrew's trees? I just want to make sure
> for my notes to Linus.

Hmmm, it looks like Andrew actually dropped this series a few weeks ago,
as Sasha sent a new version:

  https://lore.kernel.org/[email-masked]/
  https://lore.kernel.org/[email-masked]/

Is this because you used an old version of the mm tree?

  https://lore.kernel.org/[email-masked]/

Not that the conflict won't come back with the new version, I just want
to make sure I have my ducks in a row.

-- 
Cheers,
Nathan